Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.connection
Class IOChannel

    java.lang.Object
      com.sshtools.j2ssh.connection.Channel
          com.sshtools.j2ssh.connection.IOChannel

Direct Known Subclasses:
  ForwardingIOChannel, SessionChannelClient, SessionChannelServer

public abstract class IOChannel
extends Channel

DOCUMENT ME!

Field Summary
`protected java.io.InputStream` | `boundInputStream` DOCUMENT ME!
`protected java.io.OutputStream` | `boundOutputStream` DOCUMENT ME!
`protected ChannelInputStream` | `in` DOCUMENT ME!
`protected SshMessageStore` | `incoming` DOCUMENT ME!
`protected IOStreamConnector` | `ios` DOCUMENT ME!
`protected ChannelOutputStream` | `out` DOCUMENT ME!

Fields inherited from class com.sshtools.j2ssh.connection.Channel
`connection, localChannelId, localPacketSize, localWindow, remoteChannelId, remotePacketSize, remoteWindow, state`

Constructor Summary
`IOChannel()`

Method Summary
`void` | `bindInputStream(java.io.InputStream boundInputStream)` DOCUMENT ME!
`void` | `bindOutputStream(java.io.OutputStream boundOutputStream)`
`ChannelInputStream` | `getInputStream()` DOCUMENT ME!
`ChannelOutputStream` | `getOutputStream()` DOCUMENT ME!
`protected void` | `init(ConnectionProtocol connection, long localChannelId, long senderChannelId, long initialWindowSize, long maximumPacketSize)` DOCUMENT ME!
`protected void` | `onChannelClose()` DOCUMENT ME!
`protected void` | `onChannelData(SshMsgChannelData msg)` DOCUMENT ME!
`protected void` | `onChannelEOF()` DOCUMENT ME!
`protected void` | `onChannelExtData(SshMsgChannelExtendedData msg)` DOCUMENT ME!
`protected void` | `open()` DOCUMENT ME!
`void` | `setLocalEOF()` DOCUMENT ME!

Methods inherited from class com.sshtools.j2ssh.connection.Channel
`addEventListener, close, finalizeClose, getChannelConfirmationData, getChannelOpenData, getChannelType, getLocalChannelId, getLocalPacketSize, getLocalWindow, getMaximumPacketSize, getMaximumWindowSpace, getMinimumWindowSpace, getName, getRemoteChannelId, getRemotePacketSize, getRemoteWindow, getState, init, isClosed, isLocalEOF, isOpen, isRemoteEOF, onChannelOpen, onChannelRequest, processChannelData, processChannelData, remoteClose, sendChannelData, sendChannelExtData, setName, setRemoteEOF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### incoming

    protected SshMessageStore incoming

  DOCUMENT ME!

### in

    protected ChannelInputStream in

  DOCUMENT ME!

### out

    protected ChannelOutputStream out

  DOCUMENT ME!

### boundInputStream

    protected java.io.InputStream boundInputStream

  DOCUMENT ME!

### boundOutputStream

    protected java.io.OutputStream boundOutputStream

  DOCUMENT ME!

### ios

    protected IOStreamConnector ios

  DOCUMENT ME!

Constructor Detail

### IOChannel

    public IOChannel()

Method Detail

### init

    protected void init(ConnectionProtocol connection,
                        long localChannelId,
                        long senderChannelId,
                        long initialWindowSize,
                        long maximumPacketSize)
                 throws java.io.IOException

  DOCUMENT ME!

  Overrides:
    `init` in class `Channel`
  Parameters:
    `connection` - DOCUMENT ME!
    `localChannelId` - DOCUMENT ME!
    `senderChannelId` - DOCUMENT ME!
    `initialWindowSize` - DOCUMENT ME!
    `maximumPacketSize` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### open

    protected void open()
                 throws java.io.IOException

  DOCUMENT ME!

  Overrides:
    `open` in class `Channel`
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### getInputStream

    public ChannelInputStream getInputStream()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getOutputStream

    public ChannelOutputStream getOutputStream()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### onChannelData

    protected void onChannelData(SshMsgChannelData msg)
                          throws java.io.IOException

  DOCUMENT ME!

  Specified by:
    `onChannelData` in class `Channel`
  Parameters:
    `msg` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### setLocalEOF

    public void setLocalEOF()
                     throws java.io.IOException

  DOCUMENT ME!

  Overrides:
    `setLocalEOF` in class `Channel`
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### onChannelEOF

    protected void onChannelEOF()
                         throws java.io.IOException

  DOCUMENT ME!

  Specified by:
    `onChannelEOF` in class `Channel`
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### onChannelClose

    protected void onChannelClose()
                           throws java.io.IOException

  DOCUMENT ME!

  Specified by:
    `onChannelClose` in class `Channel`
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### onChannelExtData

    protected void onChannelExtData(SshMsgChannelExtendedData msg)
                             throws java.io.IOException

  DOCUMENT ME!

  Specified by:
    `onChannelExtData` in class `Channel`
  Parameters:
    `msg` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### bindOutputStream

    public void bindOutputStream(java.io.OutputStream boundOutputStream)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### bindInputStream

    public void bindInputStream(java.io.InputStream boundInputStream)
                         throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `boundInputStream` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD